# Uses of Interface
org.springframework.util.ReflectionUtils.FieldFilter

Packages that use ReflectionUtils.FieldFilter
Package
Description
org.springframework.util
Miscellaneous utility classes, such as utilities for working with strings, classes, collections, reflection, etc.

## Uses of ReflectionUtils.FieldFilter in org.springframework.util

Fields in org.springframework.util declared as ReflectionUtils.FieldFilter
Modifier and Type
Field
Description
`static final ReflectionUtils.FieldFilter`
ReflectionUtils.`COPYABLE_FIELDS`
Pre-built FieldFilter that matches all non-static, non-final fields.
Methods in org.springframework.util that return ReflectionUtils.FieldFilter
Modifier and Type
Method
Description
`default ReflectionUtils.FieldFilter`
ReflectionUtils.FieldFilter.`and(ReflectionUtils.FieldFilter next)`
Create a composite filter based on this filter and the provided filter.
Methods in org.springframework.util with parameters of type ReflectionUtils.FieldFilter
Modifier and Type
Method
Description
`default ReflectionUtils.FieldFilter`
ReflectionUtils.FieldFilter.`and(ReflectionUtils.FieldFilter next)`
Create a composite filter based on this filter and the provided filter.
`static void`
ReflectionUtils.`doWithFields(Class<?> clazz, ReflectionUtils.FieldCallback fc, ReflectionUtils.FieldFilter ff)`
Invoke the given callback on all fields in the target class, going up the class hierarchy to get all declared fields.